#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './appProp.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "appProp.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <kicondialog.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kicondialog.h"

/*
 *  Constructs a appProp as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
appProp::appProp( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "appProp" );
    setMinimumSize( QSize( 402, 267 ) );
    setMaximumSize( QSize( 390, 160 ) );
    setSizeGripEnabled( TRUE );
    setModal( TRUE );
    appPropLayout = new QGridLayout( this, 1, 1, 11, 6, "appPropLayout"); 

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );

    appPropLayout->addWidget( buttonCancel, 2, 2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );

    appPropLayout->addWidget( buttonOk, 2, 1 );
    Horizontal_Spacing2 = new QSpacerItem( 250, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    appPropLayout->addItem( Horizontal_Spacing2, 2, 0 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    terminal = new QCheckBox( groupBox1, "terminal" );

    groupBox1Layout->addWidget( terminal, 0, 0 );

    cuser = new QCheckBox( groupBox1, "cuser" );

    groupBox1Layout->addWidget( cuser, 1, 0 );

    tclose = new QCheckBox( groupBox1, "tclose" );

    groupBox1Layout->addWidget( tclose, 0, 1 );

    user = new QLineEdit( groupBox1, "user" );

    groupBox1Layout->addWidget( user, 1, 1 );

    appPropLayout->addMultiCellWidget( groupBox1, 1, 1, 0, 2 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    appRestart = new QCheckBox( groupBox2, "appRestart" );
    appRestart->setEnabled( TRUE );
    appRestart->setMaximumSize( QSize( 0, 0 ) );

    groupBox2Layout->addWidget( appRestart, 0, 0 );

    textLabel3 = new QLabel( groupBox2, "textLabel3" );

    groupBox2Layout->addMultiCellWidget( textLabel3, 0, 0, 0, 1 );

    textLabel1 = new QLabel( groupBox2, "textLabel1" );

    groupBox2Layout->addWidget( textLabel1, 2, 0 );

    textLabel2 = new QLabel( groupBox2, "textLabel2" );

    groupBox2Layout->addWidget( textLabel2, 1, 0 );

    cmdfile = new QPushButton( groupBox2, "cmdfile" );

    groupBox2Layout->addWidget( cmdfile, 2, 2 );

    iconbutton = new KIconButton( groupBox2, "iconbutton" );

    groupBox2Layout->addMultiCellWidget( iconbutton, 0, 1, 2, 2 );

    cmdname = new QLineEdit( groupBox2, "cmdname" );

    groupBox2Layout->addWidget( cmdname, 1, 1 );

    cmdpath = new QLineEdit( groupBox2, "cmdpath" );

    groupBox2Layout->addWidget( cmdpath, 2, 1 );

    appPropLayout->addMultiCellWidget( groupBox2, 0, 0, 0, 2 );
    languageChange();
    resize( QSize(402, 267).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( cuser, SIGNAL( toggled(bool) ), this, SLOT( cuserchk() ) );
    connect( terminal, SIGNAL( toggled(bool) ), this, SLOT( terminalchk() ) );
    connect( cmdfile, SIGNAL( clicked() ), this, SLOT( cmdfile_clicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
appProp::~appProp()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void appProp::languageChange()
{
    setCaption( tr2i18n( "Launcher Properties" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    buttonOk->setText( tr2i18n( "&Add" ) );
    buttonOk->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    groupBox1->setTitle( tr2i18n( "Advanced Options" ) );
    terminal->setText( tr2i18n( "Run From Terminal" ) );
    cuser->setText( tr2i18n( "Run as different User" ) );
    tclose->setText( tr2i18n( "Keep terminal open after exit" ) );
    groupBox2->setTitle( tr2i18n( "Minimal Options" ) );
    appRestart->setText( tr2i18n( "checkBox1" ) );
    textLabel3->setText( tr2i18n( "Don't forget to chose an icon." ) );
    textLabel1->setText( tr2i18n( "<b>Command</b>" ) );
    textLabel2->setText( tr2i18n( "<b>Name</b>" ) );
    cmdfile->setText( tr2i18n( "&Browse" ) );
    cmdfile->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    iconbutton->setText( tr2i18n( "Icon" ) );
}

void appProp::cuserchk(bool)
{
    qWarning( "appProp::cuserchk(bool): Not implemented yet" );
}

void appProp::cuserchk()
{
    qWarning( "appProp::cuserchk(): Not implemented yet" );
}

void appProp::terminalchk()
{
    qWarning( "appProp::terminalchk(): Not implemented yet" );
}

void appProp::cmdfile_clicked()
{
    qWarning( "appProp::cmdfile_clicked(): Not implemented yet" );
}

#include "appProp.moc"
